﻿using Autofac;
using ChesFrame.IDataAccess;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            ContainerBuilder builder = new ContainerBuilder();

            var basePath = AppDomain.CurrentDomain.BaseDirectory;
            var dataAccess = Assembly.LoadFrom("ChesFrame.DataAccess.dll");
            var dataAccess2 = Assembly.LoadFrom("ChesFrame.IDataAccess.dll");

            builder.RegisterAssemblyTypes(dataAccess2,dataAccess ).Where(t => t.Name.EndsWith("Da")).AsImplementedInterfaces();

            var container = builder.Build();
            foreach (var sub in container.ComponentRegistry.Registrations)
            {
                Console.WriteLine("Target-------" +sub.Target.ToString());
                Console.WriteLine("Services-----" + sub.Services.ToString());
                foreach (var m in sub.Services)
                {
                    Console.WriteLine("Service------" + m.ToString());
                }
                Console.WriteLine("-------------------------------------");
 
            }
            var person = container.Resolve<IPersonDa>();
        }
    }
}
